/* color layout library.h -- interface to color layout routines */

#ifndef colorLayoutLibraryIncludes
#define colorLayoutLibraryIncludes

#include <GXTypes.h>
#include <GXGraphics.h>
#include <GXLayout.h>
#include "SelectionLibrary.h"

gxShape ExtractGlyphsFromSelection(gxShape layout, SelectionHandle selection);

/* ApplyInksToLayout takes a layout shape and an array of inks and returns a picture shape
		which is a collection of glyph shapes such that the specified inks are applied to the
		specified byte lengths in the original layout. Note that the sum of the inkRunLengths
		array must equal the value returned by GXGetLayout for the shape (in other words, you
		must provide all the runs in this version). It's OK to specify nils in the inks[]
		array. */

gxShape ApplyInksToLayout(
	gxShape					layout,
	long						inkRunCount,
	const short			inkRunLengths[],
	const gxInk			inks[]);

/* This routine is an accelerator for the NewLayout, ApplyInksToLayout combination. */

gxShape NewLayoutWithInks(
	long									textRunCount,
	const short						textRunLengths[],
	const void						*text[],
	long									styleRunCount,
	const short						styleRunLengths[],
	const gxStyle					styles[],
	long									levelRunCount,
	const short						levelRunLengths[],
	const short						levels[],
	const gxLayoutOptions	*layoutOptions,
	const gxPoint					*position,
	gxShape								*newLayout,
	long									inkRunCount,
	const short						inkRunLengths[],
	const gxInk						inks[]);

#endif /* colorLayoutLibraryIncludes */
