/*
	File:		GraphicsStateLibrary.h

	Contains:	graphics libraries - graphics state routines

	Written by:	Cary Clark, Georgiann Delaney, Michael Fairman, Dave Good, Robert Johnson, Keith McGreggor, Oliver Steele, David Van Brink, Chris Yerga

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <1>	  1/9/95	JD		First checked in.
*/

#ifndef __GRAPHICSSTATELIBRARY__
#define __GRAPHICSSTATELIBRARY__

#include <GXTypes.h>

#ifdef __cplusplus
extern "C" {
#endif

/* for compatibility with old headers */
#define graphicsStateLibraryIncludes

struct graphicsStateRecord {
	gxShape defaultShapes[gxPictureType - 1];
};

typedef struct graphicsStateRecord *graphicsState, graphicsStateRecord;

extern graphicsState lastGraphicsState;

graphicsState NewGraphicsState(void);
void DisposeGraphicsState(graphicsState);
void GetGraphicsState(graphicsState);
void SetGraphicsState(graphicsState);
graphicsState SwapGraphicsState(graphicsState);

#ifdef __cplusplus
}
#endif

#endif /* __GRAPHICSSTATELIBRARY__ */
