/*
	File:		StorageLibrary.h
	
	Contains:	primitive flattening library routine interfaces
	
	Written By:	Cary Clark, Georgiann Delaney, Michael Fairman, Dave Good, Robert Johnson, Keith McGreggor, Oliver Steele, David Van Brink, Chris Yerga
	
	Copyright:	1992-1995 by Apple Computer, Inc.  All rights reserved.
	
	Change History (most recent first):
	
		 <2>	  5/1/95	jtd		bringing in final 1.1 source changes
		 <1>	  1/9/95	JD		First checked in.

*/

#ifndef __STORAGELIBRARY__
#define __STORAGELIBRARY__

#include <Types.h>
#include <GXTypes.h>

#ifdef __cplusplus
extern "C" {
#endif

/* for compatibility with old headers */
#define storageLibraryIncludes

struct userSpool {
	gxSpoolBlock	spool;
	long			reference;
	long			position;
	long			size;
	void			*data;
	void			*userField;
};

typedef struct userSpool userSpool;

Handle ShapeToHandle(gxShape source);
Handle ShapeToHandleWithFlags(gxShape source, gxFlattenFlag flags);
gxShape HandleToShape(Handle target, long count, const gxViewPort portList[]);
void ShapeToFRef(gxShape source, short fileRef);
gxShape FRefToShape(short fileRef, long count, const gxViewPort portList[]);
void ShapeToFile(gxShape source, Str255 fileName, short vRefNum, OSType creator, OSType fileType);
gxShape FileToShape(Str255 fileName, short vRefNum, long count, const gxViewPort portList[]);
Handle FontToHandle(gxFont fontID, long glyphBits[]);
gxFont HandleToFont(Handle source);

#ifdef __cplusplus
}
#endif

#endif /* __STORAGELIBRARY__ */
